NX Open C++ Reference Guide
|
This class GeometricUtilities::ModlAlongCurveAngle represents motion type in ModlMotion
Created in NX8.5.0.
More...
Public Member Functions | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | AlongCurve () |
Returns the value of transform. | |
NXOpen::Expression * | AlongCurveAngle () |
Returns the value of angular transform. | |
NXOpen::SelectCurve * | Curve () |
Returns the curve on which doing the transform. | |
bool | ReverseCurveDirection () |
Returns whether the direction of the curve to determine the transform should be reversed or not. | |
void | SetReverseCurveDirection (bool reverseCurveDirection) |
Sets whether the direction of the curve to determine the transform should be reversed or not. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
This class GeometricUtilities::ModlAlongCurveAngle represents motion type in ModlMotion
Created in NX8.5.0.
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::GeometricUtilities::ModlAlongCurveAngle::AlongCurve | ( | ) |
Returns the value of transform.
Created in NX8.5.0.
License requirements : None
NXOpen::Expression* NXOpen::GeometricUtilities::ModlAlongCurveAngle::AlongCurveAngle | ( | ) |
Returns the value of angular transform.
Created in NX8.5.0.
License requirements : None
NXOpen::SelectCurve* NXOpen::GeometricUtilities::ModlAlongCurveAngle::Curve | ( | ) |
Returns the curve on which doing the transform.
Created in NX8.5.0.
License requirements : None
bool NXOpen::GeometricUtilities::ModlAlongCurveAngle::ReverseCurveDirection | ( | ) |
Returns whether the direction of the curve to determine the transform should be reversed or not.
Created in NX9.0.0.
License requirements : None
void NXOpen::GeometricUtilities::ModlAlongCurveAngle::SetReverseCurveDirection | ( | bool | reverseCurveDirection | ) |
Sets whether the direction of the curve to determine the transform should be reversed or not.
Created in NX9.0.0.
License requirements : None
reverseCurveDirection | reversecurvedirection |
|
virtual |
Validate whether the inputs to the component are sufficient for commit to be called.
If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.
Implements NXOpen::GeometricUtilities::IComponentBuilder.